package ink.wgink.code.factory.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: DynamicFormEnum
 * @Description: 动态表单
 * @Author: WangGeng
 * @Date: 2019/12/2 5:28 下午
 * @Version: 1.0
 **/
public enum FormFieldTypeEnum {

    TEXT("text", "文本"),
    DATETIME("datetime", "时间戳"),
    DATE("date", "日期"),
    NUMBER("number", "整形"),
    DOUBLE("double", "双精度"),
    TEXTAREA("textarea", "文本域"),
    RICH_TEXT("richText", "富文本"),
    ID_SELECT("idSelect", "ID 选择"),
    SELECT("select", "下拉选择"),
    CHECKBOX("checkbox", "复选"),
    RADIO("radio", "单选"),
    SELECT_USER("selectUser", "选择人员"),
    SELECT_DEPARTMENT("selectDepartment", "选择部门"),
    FILE("file", "文件"),
    IMAGE("image", "图片"),
    VIDEO("video", "视频"),
    AUDIO("audio", "音频"),
    CURRENT_USER("currentUser", "当前用户"),
    CURRENT_DEPARTMENT("currentDepartment", "当前部门"),
    CURRENT_ROLE("currentRole", "当前角色"),
    CURRENT_GROUP("currentGroup", "当前组"),
    CURRENT_POSITION("currentPosition", "当前职位");

    private String value;
    private String summary;

    FormFieldTypeEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }
}
